# Docker image to build Debian package of Python apps/libraries

Image with common dependencies to build Debian package of Python apps/libraries :

- common python packages: `python3-all python3-dev python3-pip python3-venv python3-git python3-wheel pylint pytest flake8 flake8-junit-report pylint-junit junitparser`
- common Debian packages building tools: `dpkg-dev fakeroot build-essential devscripts debhelper dh-python`
- common tools: `sed lsb-release curl jq git rsync`
- GPG siging tools: `gnupg2`
- [gitdch](https://gitea.zionetrix.net/bn8/gitdch) tool

To use it:

```bash
docker run -it -v "$(pwd)":/src -w /src brenard/debian-python-deb
```
